#pragma once
#include <bits/signal.h>
#include <luna/LinkedList.h>

struct Thread;
struct Clock;

class Timer : public LinkedListNode<Timer>
{
  public:
    u64 delta_ticks { 0 };
    u64 total_ticks { 0 };
    Thread* thread;
    int signo { SIGALRM };
    bool restart { false };

    Clock* clock { nullptr };
};
